plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
    id 'java-test-fixtures'
}

dependencies {
    implementation(project(":core:events"))
    testImplementation(project(":core:transitions"))
    testImplementation(project(":core:sessions"))
    testImplementation(project(":core:validation"))
    testImplementation(project(":core:approvals"))
    testImplementation(project(":core:artifacts"))
    testImplementation(project(":core:kernel"))
    testImplementation(project(":testing:fixtures"))
    testImplementation(project(":core:inference"))
    testImplementation(project(":core:context"))
    testImplementation(project(":infrastructure:inference:commons"))
    testFixturesImplementation(project(":core:events"))
    testFixturesImplementation(project(":core:sessions"))
    testFixturesImplementation(project(":core:artifacts-store"))
    testFixturesImplementation(project(":testing:fixtures"))
    testFixturesImplementation "org.jetbrains.kotlinx:kotlinx-datetime:$kotlinx_datetime_version"
    testFixturesImplementation "org.junit.jupiter:junit-jupiter:$junit_version"
    testFixturesImplementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$kotlinx_coroutines_version"
}

tasks.named("koverVerify").configure { enabled = false }
